<?php
/**
* Plugin Bannip
*
* @package	PLX
* @version	1.0
* @date	26/05/24
* @author 
**/
class Bannip extends plxPlugin {
	private $blacklist;
	private $denied_msg;
	private $remote_ip;
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		# limite l'acces a l'ecran de configuration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		



		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('IndexBegin','IndexBegin');

		$this->blacklist=$this->getParam("blacklist");
		$this->denied_msg=$this->getParam("message");
		$this->remote_ip=$_SERVER['REMOTE_ADDR'];
		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# IndexBegin
	########################################
	# Description:
	public function IndexBegin(){
		if (strpos($this->blacklist, $this->remote_ip)!==false){
			exit($this->denied_msg);
		}
	}

	

}





/* Pense-bete:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 * Accéder à une méthode de plugin depuis un hook sur une page admin
 *  echo '<?php $plxAdmin->plxPlugins->aPlugins["NOMDUPLUGIN"]->METHODE()?>';
 * ou 
 *  echo '<?php $this->plxPlugins->aPlugins["NOMDUPLUGIN"]->METHODE()?>';
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */